# ECALLCONTEXTFLAG Enumeration

Namespace: `ArchestrA.Toolkit`

**Syntax**

```csharp
enum ECALLCONTEXTFLAG
{
eCallingContextUnknown = 0,
eSupervisorySetAttribute = 1,
eSystemSetAttribute = 2,
eUserSetAttribute = 3,
eInternalSetAttribute = 4,
}
```

**Remarks**

Indicates the type of caller that issued the set attribute request. The only types to be used are eSupervisorySetAttribute, eUserSetAttribute, and eInternalSetAttribute. SupervisorySet indicates another object performed the set. InternalSet indicates this object performed the set. UserSet indicates a user performed the set.
